<?php
//Incluir Archivos Necesarios
require_once ('../../../Clases/Registro_Datos.php');
require_once ('../../../Clases/Categoria.php');
$conex = new conn();
$conn = $conex->crearconn();

if (isset($_POST['validarcedula'])) {
  $objced = new registro_datos();
  $cedula = $_POST['validarcedula'];
  $result = $objced->validarCedula($cedula);

  if ($result != true) {
    echo "Cedula ya existe";
  } else {
    echo "";
  }
}

if (isset($_POST['btn1'])) {

$cedula=$_POST['cedula'];

$sql2 = "SELECT * FROM datos_personales WHERE Cedula = '$cedula'";
    $result = $conn->query($sql2);
    if ($result->num_rows > 0) {
      header("Location: ../../datos_personales.php?m=1");//mensaje: cedula en uso
    }else {

//recibir datos del formulario
$tipo= $_POST['tipo'];//recibe el value 2

$cedula=$_POST['cedula'];
$nombre=$_POST['nombre'];
$apellido=$_POST['apellido'];
$direccion=$_POST['direccion'];
$telefono=$_POST['telefono'];
$correo=$_POST['correo'];
$tipodoc=$_POST['tipoDocumento'];

$register = new registro_datos ();
echo $register->savedat($cedula,$nombre,$apellido,$direccion,$telefono,$correo,$tipo,$nombre_empresa,$rif_empresa,$producto_provee,$tipodoc);
header("Location: ../../datos_personales.php?m=2");
}
}

if (isset($_POST['btn2'])) {

$cedulaP=$_POST['cedulaP'];

$sql2 = "SELECT * FROM datos_personales WHERE Cedula = '$cedulaP'";
    $result = $conn->query($sql2);
    if ($result->num_rows > 0) {
      header("Location: ../../datos_personales.php?m=1");//mensaje: cedula en uso
    }else{

//recibir datos del formulario
$tipoP= $_POST['tipo'];//recibe el value 1

$cedulaP=$_POST['cedulaP'];
$nombreP=$_POST['nombreP'];
$apellidoP=$_POST['apellidoP'];
$direccionP=$_POST['direccionP'];
$telefonoP=$_POST['telefonoP'];
$correoP=$_POST['correoP'];

$nombre_empresaP= $_POST['nombre_empresa'];
$rif_empresaP= $_POST['rif_empresa'];
$producto_proveeP= $_POST['producto_provee'];
$ncategoria= $_POST['otro'];
$tipodocuprove=$_POST['tipoDocumentoProve'];
$tiporif=$_POST['tipoRif'];

if ($_POST['otro'] ===null ){ 

$register = new registro_datos ();
echo $register->savedat($cedulaP,$nombreP,$apellidoP,$direccionP,$telefonoP,$correoP,$tipoP,$nombre_empresaP,$rif_empresaP,$producto_proveeP,$tipodocuprove,$tiporif);

header("Location: ../../datos_personales.php?m=2");


} else {
    
  $registercat = new categorias ();
   $registercat->savecat($ncategoria); 
$ultcat = $registercat->ultimacategoria();

$register = new registro_datos ();
$register->savedat($cedulaP,$nombreP,$apellidoP,$direccionP,$telefonoP,$correoP,$tipoP,$nombre_empresaP,$rif_empresaP,$ultcat,$tiporif,$tipodocuprove);
header("Location: ../../datos_personales.php?m=2");
 }



}
}
?>